Subject: bug#73382: closed (Re: bug#73382: 31.0.50; Starting Emacs on latest macOS)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Mar 2025 03:36:02 +0000

Your bug report

#73382: 31.0.50; Starting Emacs on latest macOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73382: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73382
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73382: 31.0.50; Starting Emacs on latest macOS
From: Stefan Kangas <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Mar 2025 19:35:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Arash Esbati <[email-masked]> writes:

> Severity: minor
>
> Hi all,
>
> I compiled Emacs from master (cbaf7edbb4) on macOS15 (incl. xcode16) and
> when I open it from CLI, it starts but I also see:
>
> 2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKClient subclass]: chose IMKClient_Legacy
> 2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKInputSession subclass]:chose IMKInputSession_Legacy
>
> This seems to be more an issue with macOS15 than Emacs since other
> applications are facing this as well[1].
>
> I'm reporting this here in case others start seeing this and report it
> as well.  This can be closed as "notabug" once the issue is fixed on
> macOS side.
>
> Best, Arash
>
> Footnotes:
> [1]  https://discussions.apple.com/thread/255761734?sortBy=rank

Thanks, I added a note about this in etc/PROBLEMS.

I'm therefore closing this bug report.

Subject: 31.0.50; Starting Emacs on latest macOS
From: Arash Esbati <[email-masked]>
To: "emacs-bugs" <[email-masked]>
Date: Fri, 20 Sep 2024 14:39:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

Hi all,

I compiled Emacs from master (cbaf7edbb4) on macOS15 (incl. xcode16) and
when I open it from CLI, it starts but I also see:

--8<---------------cut here---------------start------------->8---
2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKClient subclass]: chose IMKClient_Legacy
2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKInputSession subclass]:chose IMKInputSession_Legacy
--8<---------------cut here---------------end--------------->8---

This seems to be more an issue with macOS15 than Emacs since other
applications are facing this as well[1].

I'm reporting this here in case others start seeing this and report it
as well.  This can be closed as "notabug" once the issue is fixed on
macOS side.

Best, Arash

Footnotes:
[1]  https://discussions.apple.com/thread/255761734?sortBy=rank